# $Revision: 1.15 $, $Date: 2004/05/06 18:09:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	CPP
Summary:	Inline::CPP Perl module
Summary(cs):	Modul Inline::CPP pro Perl
Summary(da):	Perlmodul Inline::CPP
Summary(de):	Inline::CPP Perl Modul
Summary(es):	Mdulo de Perl Inline::CPP
Summary(fr):	Module Perl Inline::CPP
Summary(it):	Modulo di Perl Inline::CPP
Summary(ja):	Inline::CPP Perl ⥸塼
Summary(ko):	Inline::CPP  
Summary(nb):	Perlmodul Inline::CPP
Summary(pl):	Modu Perla Inline::CPP
Summary(pt):	Mdulo de Perl Inline::CPP
Summary(pt_BR):	Mdulo Perl Inline::CPP
Summary(ru):	  Perl Inline::CPP
Summary(sv):	Inline::CPP Perlmodul
Summary(uk):	  Perl Inline::CPP
Summary(zh_CN):	Inline::CPP Perl ģ
Name:		perl-Inline-CPP
Version:	0.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
# Source0-md5:	8774972accb53310442ee458ee0e982d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Inline-C >= 0.43
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libstdc++-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::CPP - Write Perl subroutines and classes in C++.

%description -l pl
Modu Inline::CPP - pozwalajcy na pisanie procedur i klas Perla w
C++.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TESTED
%{perl_vendorlib}/Inline/CPP.pm
%{perl_vendorlib}/Inline/CPP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline-CPP.spec,v $
Revision 1.15  2004/05/06 18:09:44  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.13  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.12  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2003/10/13 19:34:23  qboosh
- updated to 0.25

Revision 1.10  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/30 13:30:45  ankry
- BR: perl-Inline-C >= 0.43, rel. 3

Revision 1.5  2003/03/01 19:37:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:34:31  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 22:17:09  ankry
- added tests and translations

Revision 1.1  2002/07/13 11:46:07  qboosh
- new
